Subject: Re: bug#13503: 24.3.50; option `scroll-bar-adjust-thumb-portion'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Jan 2013 18:29:28 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Sat, 19 Jan 2013 20:33:08 -0800
> 
> > Since it's only available on X (based on features that need X), you
> > don't see its doc string on Windows.
> 
> Windows users should either not have the variable at all or they should see its
> doc, which should let them know that it is not usable on Windows.  It is wrong
> for them to have the variable and not be able to see its doc.

What do you mean by "have the variable"?  If I try to evaluate it on
Windows, I get an error:

  Debugger entered--Lisp error: (void-variable scroll-bar-adjust-thumb-portion)
    eval(scroll-bar-adjust-thumb-portion nil)
    eval-last-sexp-1(t)
    eval-last-sexp(t)
    eval-print-last-sexp()
    call-interactively(eval-print-last-sexp nil nil)

This is what I'd expect, and it seems so would you.  So where's the
problem exactly?

> And NEWS should call out the fact that it is only for Emacs that uses X Window.

Agreed.

> We currently say nothing at all about this option in NEWS, except that it is
> new.  In that case, (all) users must be able to get info about it from Emacs in
> some other way, e.g., C-h v or a manual.

It will probably get fixed before the release.  Or should be.